# serializers.py
from rest_framework import serializers
from core.models.Space import Space

from core.serializers.AssetBundleRoomSerializer import AssetBundleRoomSerializer

class SpaceSerializer(serializers.ModelSerializer):

    assetBundleRoomId = AssetBundleRoomSerializer()  # Nested serializer for AssetBundleRoom

    class Meta:
        model = Space
        fields = ['userId', 'assetBundleRoomId', 'name', 'description', 'capacity']
